package com.gree.mall.manager.bean.goods;

import com.gree.mall.manager.plus.entity.Goods;
import com.gree.mall.manager.plus.entity.GoodsSpec;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class GoodsSpecBean extends Goods {

    @ApiModelProperty("商品规格列表")
    private List<GoodsSpec> goodsSpecs;

}
